#pragma once

#include <maps/wikimap/mapspro/services/tasks-ng/lib/config.h>

#include <yandex/maps/wiki/common/pgpool3_helpers.h>

namespace maps {
namespace wiki {
namespace tasks_ng {

class DbPools
{
public:
    auto& core() { return core_.pool(); }

    static DbPools& get();

    static void init(const Config& config);
    static void destroy();

private:
    explicit DbPools(const Config& config);

    common::PoolHolder core_;
};

} // namespace tasks_ng
} // namespace wiki
} // namespace maps


